package cn.efunbox.manage.base.service;

import cn.efunbox.manage.base.entity.User;
import cn.efunbox.manage.base.vo.UserVo;
import cn.efunbox.manage.common.entity.page.OnePage;
import cn.efunbox.manage.common.result.ApiResult;

import java.util.List;

public interface UserService {
    ApiResult<UserVo> login(String userName, String password);

    ApiResult<User> saveUser(User User);

    ApiResult<User> updateUser(User User);

    ApiResult<User> deleteUserByIds(List<String> ids);

    ApiResult<OnePage<User>> list(User user, Integer pageNo, Integer pageSize);
}
